Custody providers
Create Filecoin Custody Wallet
Verifies a signer key against a Filecoin multisig on-chain (threshold >= 2) and stores the wallet with encrypted key.
POSThttps://api.toku.com/stablecoin-payroll/create-filecoin-custody-wallet
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/create-filecoin-custody-wallet' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"multisigAddress": "string",
"signerPrivateKey": "string",
"network": "mainnet"
}'200 response
{
"custodyWalletID": "string",
"walletAddress": "string",
"multisigAddress": "string",
"derivedSignerAddress": "string",
"signerAddress": "string",
"threshold": 0,
"signerCount": 0,
"allSigners": [
"string"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
orgIDstring<uuid>multisigAddressstringrequiredAllowed: matches ^[ft]2[a-z2-7]{38,}$
signerPrivateKeystringrequiredAllowed: matches ^[0-9a-fA-F]{64}$
networkstringrequiredAvailable options: mainnet, calibration
Response
200Successful response
custodyWalletIDstringrequiredwalletAddressstringrequiredmultisigAddressstringrequiredderivedSignerAddressstringrequiredsignerAddressstringrequiredthresholdnumberrequiredsignerCountintegerrequiredallSignersstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits